algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Additive.Group

Contents

- Additive Groups

Synopsis

- class (LeftModule Integer r, RightModule Integer r, Monoidal r) => Group r where
  - (-) :: r -> r -> r
  - negate :: r -> r
  - subtract :: r -> r -> r
  - times :: Integral n => n -> r -> r

# Additive Groups

class (LeftModule Integer r, RightModule Integer r, Monoidal r) => Group r where Source

Methods

(-) :: r -> r -> rSource

negate :: r -> rSource

subtract :: r -> r -> rSource

times :: Integral n => n -> r -> rSource

Instances

Group Int |
Group Int8 |
Group Int16 |
Group Int32 |
Group Int64 |
Group Integer |
Group Word |
Group Word8 |
Group Word16 |
Group Word32 |
Group Word64 |
Group () |
Group Euclidean |
Group r => Group (Complex r) |
Group r => Group (Quaternion r) |
Group r => Group (Dual r) |
Group r => Group (Hyper' r) |
Group r => Group (Hyper r) |
Group r => Group (Dual' r) |
Group r => Group (Quaternion' r) |
Group r => Group (Trig r) |
Division r => Group (Log r) |
Group r => Group (End r) |
Group r => Group (Opposite r) |
(Abelian r, Group r) => Group (RngRing r) |
Group r => Group (ZeroRng r) |
Group r => Group (e -> r) |
(Group a, Group b) => Group (a, b) |
(HasTrie e, Group r) => Group (:->: e r) |
Group s => Group (Covector s a) |
(Group a, Group b, Group c) => Group (a, b, c) |
Group s => Group (Map s b a) |
(Group a, Group b, Group c, Group d) => Group (a, b, c, d) |
(Group a, Group b, Group c, Group d, Group e) => Group (a, b, c, d, e) |